CREATE TABLE hrt_profile_typ_sections (
    SECTION_ID                       NUMBER(18, 0) ,
    DEFAULT_FLAG                     VARCHAR2(4)   ,
    DISPLAY_ORDER                    NUMBER(5, 2)  ,
    SECTION_LAYOUT                   VARCHAR2(120) ,
    BUSINESS_GROUP_ID                NUMBER(18, 0) ,
    PROFILE_TYPE_ID                  NUMBER(18, 0)     NOT NULL,
    CONTENT_TYPE_ID                  NUMBER(18, 0)     NOT NULL,
    PARENT_SECTION_ID                NUMBER(18, 0) ,
    CONTENT_TYPE_RELATION_ID         NUMBER(18, 0) ,
    SECTION_ITEM_REQD_FLAG           VARCHAR2(120) ,
    APPROVAL_REQUIRED_FLAG           VARCHAR2(120) ,
    QUALIFIER_SET_ID1                NUMBER(18, 0) ,
    QUALIFIER_SET_ID2                NUMBER(18, 0) ,
    SECTION_CONTEXT                  VARCHAR2(1200),
    SECURITY_CONTEXT                 VARCHAR2(1200),
    TEMPLATE_FLAG                    VARCHAR2(4)   ,
    DFF_CONTEXT_NAME                 VARCHAR2(320) ,
    ANALYTIC_PRIORITY                VARCHAR2(120) ,
    ANALYTIC_PRIORITY_SOURCE_CODE    VARCHAR2(120) ,
    ACTIVE_FLAG                      VARCHAR2(4)   ,
    MODULE_ID                        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    SEED_DATA_SOURCE                 VARCHAR2(2048),
    TEMPLATE_BASED_SECTION_FLAG      VARCHAR2(120) ,
    LINKEDIN_ENABLED_FLAG            VARCHAR2(120) ,
    SKILL_RECOMMEND_ENABLED_FLAG     VARCHAR2(120) ,
    ORA_SEED_SET1                    VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                    VARCHAR2(4)       NOT NULL,
    SECTION_ID                       NUMBER(18, 0) ,
    BUSINESS_GROUP_ID                NUMBER(18, 0) ,
    PROFILE_TYPE_ID                  NUMBER(18, 0)     NOT NULL,
    CONTENT_TYPE_ID                  NUMBER(18, 0)     NOT NULL,
    PARENT_SECTION_ID                NUMBER(18, 0) ,
    CONTENT_TYPE_RELATION_ID         NUMBER(18, 0) ,
    SECTION_ITEM_REQD_FLAG           VARCHAR2(120) ,
    APPROVAL_REQUIRED_FLAG           VARCHAR2(120) ,
    QUALIFIER_SET_ID1                NUMBER(18, 0) ,
    QUALIFIER_SET_ID2                NUMBER(18, 0) ,
    SECTION_CONTEXT                  VARCHAR2(1200),
    MODULE_ID                        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    DISPLAY_ORDER                    NUMBER(5, 2)  ,
    SECTION_LAYOUT                   VARCHAR2(120) ,
    SEED_DATA_SOURCE                 VARCHAR2(2048),
    TEMPLATE_FLAG                    VARCHAR2(4)   ,
    DFF_CONTEXT_NAME                 VARCHAR2(320) ,
    ANALYTIC_PRIORITY                VARCHAR2(120) ,
    ANALYTIC_PRIORITY_SOURCE_CODE    VARCHAR2(120) ,
    ACTIVE_FLAG                      VARCHAR2(4)   ,
    DEFAULT_FLAG                     VARCHAR2(4)   ,
    TEMPLATE_BASED_SECTION_FLAG      VARCHAR2(120) ,
    SECURITY_CONTEXT                 VARCHAR2(1200),
    LINKEDIN_ENABLED_FLAG            VARCHAR2(120) ,
    SKILL_RECOMMEND_ENABLED_FLAG     VARCHAR2(120) ,
    ORA_SEED_SET1                    VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                    VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_hrt_profile_typ_sections PRIMARY KEY (SECTION_ID, BUSINESS_GROUP_ID, SECTION_ID, BUSINESS_GROUP_ID)
);
